<!DOCTYPE html>
<html class="writer-html5" lang="pt-br" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>SEGP - Sistema de Gestão de Pessoas &mdash; Arquitetura da Informação - Secretaria de educação da Prefeitura de Recife. 1.0.0 documentation</title>
      <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="../../_static/css/theme.css" type="text/css" />
      <link rel="stylesheet" href="../../_static/sphinxcontrib-images/LightBox2/lightbox2/dist/css/lightbox.css" type="text/css" />
      <link rel="stylesheet" href="../../_static/css/custom.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="../../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
        <script src="../../_static/jquery.js"></script>
        <script src="../../_static/underscore.js"></script>
        <script src="../../_static/doctools.js"></script>
        <script src="../../_static/sphinxcontrib-images/LightBox2/lightbox2/dist/js/lightbox-plus-jquery.min.js"></script>
        <script src="../../_static/sphinxcontrib-images/LightBox2/lightbox2-customize/jquery-noconflict.js"></script>
    <script src="../../_static/js/theme.js"></script>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="SEINFRA - Sistema de Gerenciamento da Capacidade Instalada" href="seinfra.html" />
    <link rel="prev" title="SEGM - Sistema de Gestão de Merendas" href="segm.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="../../index.html" class="icon icon-home"> Arquitetura da Informação - Secretaria de educação da Prefeitura de Recife.
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Sistemas pedagógicos</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="geqt.html">GEQT - Sistema de gestão de equipamentos</a></li>
<li class="toctree-l1"><a class="reference internal" href="matricula.html">Matrícula Online</a></li>
<li class="toctree-l1"><a class="reference internal" href="saap.html">SAAP - Sistema de Acompanhamento de Ações Pedagógicas</a></li>
<li class="toctree-l1"><a class="reference internal" href="sadr.html">SADR - Sistema de avaliação diagnóstica</a></li>
<li class="toctree-l1"><a class="reference internal" href="sdcl.html">SDCL - Sistema de Diário de Classe</a></li>
<li class="toctree-l1"><a class="reference internal" href="segm.html">SEGM - Sistema de Gestão de Merendas</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">SEGP - Sistema de Gestão de Pessoas</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#perfis-de-usuario">Perfis de usuário</a></li>
<li class="toctree-l2"><a class="reference internal" href="#principais-funcionalidades">Principais funcionalidades</a></li>
<li class="toctree-l2"><a class="reference internal" href="#requisitos-e-arquitetura-de-software">Requisitos e Arquitetura de Software</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#diagrama-de-casos-de-uso">Diagrama de casos de uso</a></li>
<li class="toctree-l3"><a class="reference internal" href="#modelagem-c4">Modelagem C4</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="seinfra.html">SEINFRA - Sistema de Gerenciamento da Capacidade Instalada</a></li>
<li class="toctree-l1"><a class="reference internal" href="semeweb.html">SEMEWEB/SEGE - Sistema de Gestão Escolar</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Sistemas administrativos</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../administrativos/consist.html">Consist - Sistema de Folha de Pagamentos</a></li>
<li class="toctree-l1"><a class="reference internal" href="../administrativos/sofin.html">SOFIN - Sistema de Controle Orçamentário e Financeiro</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Conclusão</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../conclus%C3%A3o.html">Conclusão</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../index.html">Arquitetura da Informação - Secretaria de educação da Prefeitura de Recife.</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="../../index.html" class="icon icon-home"></a> &raquo;</li>
      <li>SEGP - Sistema de Gestão de Pessoas</li>
      <li class="wy-breadcrumbs-aside">
            <a href="../../_sources/sistemas/pedagogicos/segp.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="segp-sistema-de-gestao-de-pessoas">
<h1>SEGP - Sistema de Gestão de Pessoas<a class="headerlink" href="#segp-sistema-de-gestao-de-pessoas" title="Permalink to this headline"></a></h1>
<p>Sistema de Gestão de Pessoas (SEGP) é um sistem desenvolvido pela empresa <a class="reference external" href="https://stefanini.com/pt-br">Stephanini</a> para gestão dos funcionários (concursados ou não) da Secretaria. Permite registrar a atuação do servidor no Órgão. Quais cargos já ocupou, tipo de vínculo (sem vínculo, efetivo, estagio probatorio, contrato temporário) entre outras informações.</p>
<section id="perfis-de-usuario">
<h2>Perfis de usuário<a class="headerlink" href="#perfis-de-usuario" title="Permalink to this headline"></a></h2>
<ul class="simple">
<li><p><strong>Servidor concursado (efetivo)</strong>: visualiza apenas dos próprios dados.</p></li>
<li><p><strong>Servidor tercerizado</strong>: acessa algumas informações da gerência, mas não possui uma matrícula de servidor.</p></li>
<li><p><strong>Administrador</strong>: tem acesso à todas as telas e pode editar informações. É o perfil administrador quem define o perfil de acesso dos usuários.</p></li>
<li><p><strong>Gerência</strong>: servidores da estão em cargos de gestão. Tem uma visão menos focado nas escolas e mais focada nas unidades administrativas e nos servidores. Pode alterar dados e cadastrar novos servidores. Tem uma visão similar ao do administrador, mas não pode alterar os parâmetros do sistema.</p></li>
<li><p><strong>Gestor</strong>: gestor de uma unidade educacional específica. Tem acesso ao menu de Faltas, gestão do estágio probatório, afastamentos, férias entre outros. Esse perfil não pode alterar dados de cadastro dos servidores.</p></li>
</ul>
<p>&gt; Caso o usuário tenha mais de uma matrícula vinculado ao seu CPF e perfis de acesso configurados, o sistema solicita ao usuário a seleção de qual perfil ele quer utilizar.</p>
</section>
<section id="principais-funcionalidades">
<h2>Principais funcionalidades<a class="headerlink" href="#principais-funcionalidades" title="Permalink to this headline"></a></h2>
<ul class="simple">
<li><p><strong>Cadastro de usuário</strong>:  permite cadastrar um novo usuário na base. Após o cadastro do usuário feito pelo perfil Gerência, o mesmo terá uma série de informações atreladas ao seu cadastro funcional. Este cadastro é pre-requisito para gerar uma nova matrícula para este servidor. A matrícula irá vincular ao usuário um conjunto de outras informações como cargo, função, categoria entre outros.</p></li>
<li><p><strong>Consulta de servidor</strong>: permite buscar um servidor na base de dados. Um servidor pode ter mais de uma matrícula ativa, por isso, as consultas são feitas com o CPF.</p></li>
<li><p><strong>Manter Parâmetro</strong>: permite cadastrar diferentes parâmetros no sistema. Esses parâmetros são utilizados como pré-requisitos para cadastrar uma nova matrícula. O cargo de um servidor, por exemplo, é um exemplo de parâmetro do sistema.</p></li>
<li><p><strong>Cadastro de matrícula</strong>: permite, a partir do pré-cadastro, gerar uma matrícula para o servidor.  Com a matrícula criada, a gerência pode alocar o professor em alguma unidade educacional. Essa alocação pode ser definida como substituição ou para atividades escolares que não exija substituição.</p></li>
</ul>
</section>
<section id="requisitos-e-arquitetura-de-software">
<h2>Requisitos e Arquitetura de Software<a class="headerlink" href="#requisitos-e-arquitetura-de-software" title="Permalink to this headline"></a></h2>
<p>Utilizaremos duas técnicas para avaliarmos o SEGP. A primeira é a modelagem de casos de uso, que permite
visualizar como atores interagem com as funcionalidades do sistema. O segundo é a modelagem
C4, que permite visualizar as fronteiras do sistema e com quais sistemas externos ele se comunica
para realizar suas operações.</p>
<section id="diagrama-de-casos-de-uso">
<h3>Diagrama de casos de uso<a class="headerlink" href="#diagrama-de-casos-de-uso" title="Permalink to this headline"></a></h3>
<p>O diagrama de casos de uso é uma forma visual de identificar perfis de usuário, funcionalidades do
sistema e a relação entre ambos. Iremos utilizar essa técnica de modelagem para termos uma visão
alto nível de como o SEGP funciona.</p>
<img alt="../../_images/16.png" src="../../_images/16.png" />
</section>
<section id="modelagem-c4">
<h3>Modelagem C4<a class="headerlink" href="#modelagem-c4" title="Permalink to this headline"></a></h3>
<p>Para entendermos as interações do SEGP com outros sistemas e bases de dados da
Secretaria, utilizaremos o modelo C4 para visualização de Arquitetura de Software. Para autenticar
no SEGP o usuário precisa ter suas credenciais criadas na base ConectaRecife. Caso este usuário já tenha
credenciais na base EMAC, automaticamente ele também terá no ConectaRecife.
Uma vez verificada as credenciais, o usuário loga no sistema através de
sua <em>interface web</em>. Depois de logado, o usuário seleciona uma de suas matrículas ativas (se houver
mais de uma) e acessa as funcionalidades apresentadas na modelagem de casos de uso.</p>
<p>O SEGP lê e escreve de um banco de dados único chamado SECE. O SECE é responsável por
armazenar os dados de todos os sistemas da Secretaria. Para cada sistema, regras SQL são criadas
para limitar em quais tabelas é possível escrever ou recuperar dados</p>
<p>O SEGP gera dados consumidos pelo <a class="reference external" href="./sdcl.html">SDCL</a>. Informações sobre os professores
substitutos são relevantes para o controle das turmas e aulas ministradas. Essa integração é feita
via SEME. O SEGP também permite alocar professores em determinadas unidades por
outras necessidades da rede.  Existe um detalhe relevante relacionado à relação entre SEGP e SDCL. No cadastro da matrícula, há uma opção de aula-atividade. Esse campo é específico para cargos de professor titular ou professor substituto, tendo relação com o cálculo de abono salarial. No SDCL também existe uma funcionalidade para registro de aula-atividade, mas ambos os sistemas não se conversam, o que pode gerar <strong>retrabalho e duplicação da funcionalidade</strong>.</p>
<img alt="../../_images/25.png" src="../../_images/25.png" />
</section>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="segm.html" class="btn btn-neutral float-left" title="SEGM - Sistema de Gestão de Merendas" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="seinfra.html" class="btn btn-neutral float-right" title="SEINFRA - Sistema de Gerenciamento da Capacidade Instalada" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2021, Pencillabs.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>